Announcement

Collapse
No announcement yet.

NVIDIA GameWorks Integration

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    If I add it to the emissives UV, the emissive just goes black.

    Comment


      A few questions for the NVidia team concerning multires.

      Do I have to do anything to turn on multires?
      Did you manage to make it work with SSR? (it seems so, but I can't understand how since it would be dependent on other parts, unless rendered separately).

      and the most important one:
      I was really hoping to see VR-SLI working as well since if you manage to break it down in smaller pieces, assigning them to more than one card seems trivial. Is it not supposed to be in the multires branch? Is it coming separately?

      Comment


        Hi my friend,


        I have a questions.

        1) You do NVIDIA GameWorks Integration for Unreal Engine 4.9.2 version? When you branch the NVIDIA GameWorks for UE 4.10.4 and 4.11.X?
        2) I have a download "VXGI, HBAO+, WaveWorks, HairWorks, FLEX, Volumetric Lighting, Turf Effects, ShadowWorks, PostWorks and Turbulence" source codes but I don't know the integration for UE 4.10.4/4.11.2 and branch for github. So, how can I do that?
        3) Where I need to copy of downloaded the files in the Epic Games folder?
        4) Or download the files here: 4.10 and 4.11, I have to copy it into them?
        5) Do I need to know coding to make them? Or copy-paste and build with MS-VS?

        Please halp me and I'm sorry for my bad English

        Comment


          Originally posted by ululemr View Post
          Hi my friend,


          I have a questions.

          1) You do NVIDIA GameWorks Integration for Unreal Engine 4.9.2 version? When you branch the NVIDIA GameWorks for UE 4.10.4 and 4.11.X?
          2) I have a download "VXGI, HBAO+, WaveWorks, HairWorks, FLEX, Volumetric Lighting, Turf Effects, ShadowWorks, PostWorks and Turbulence" source codes but I don't know the integration for UE 4.10.4/4.11.2 and branch for github. So, how can I do that?
          3) Where I need to copy of downloaded the files in the Epic Games folder?
          4) Or download the files here: 4.10 and 4.11, I have to copy it into them?
          5) Do I need to know coding to make them? Or copy-paste and build with MS-VS?

          Please halp me and I'm sorry for my bad English
          I responded to your PM regarding the same questions.
          NVIDIA GameWorks merged branch (v4.9.2) (v4.12.5) (v4.13 p2)
          Feel free to Donate if you wish to support me

          Comment


            Does anyone know how to integrate VXGI into Unreal engine 4.11.2. I am new to unreal engine. Thanks

            Please, i need it as detailed as possible.

            http://indiannoob.in/vision-worlds-f...exclusive-now/
            https://www.youtube.com/watch?v=UzmZFcsALeg

            Comment


              Originally posted by uniquemindsgroup View Post
              Does anyone know how to integrate VXGI into Unreal engine 4.11.2. I am new to unreal engine. Thanks

              Please, i need it as detailed as possible.
              It's easier to wait until a 4.11.2 version of VXGI gets released. It can take some time, until then I would continue to work in 4.10.

              Game Design - Photogrammetry - Programming
              Tutorials · Twitter · Twitch

              Comment


                There are some bugs with MultiRes-4.11 release. Blooms from lights no longer appear!!
                Where do we report bugs?

                Comment


                  Hi.
                  The NVidia HairWorks UE4 integration branch has been updated to UE4.11.0.
                  Check it out. https://github.com/NvPhysX/UnrealEngine/tree/HairWorks

                  Comment


                    [MENTION=31173]GalaxyMan2015[/MENTION]
                    hello!
                    and now ,i have a quesion when i build NVIDIA GameWorks merged branch (v4.9.2) and then get the waring!

                    Warning 1 warning C4996: 'ConstructObject': ConstructObject is deprecated. Use NewObject instead Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile. D:\UnrealEngine-4.9.2_NVIDIA_SF\Engine\Source\Editor\UnrealEd\Private\Factories\EditorFactories.cpp 7509 1 UE4
                    Warning 2 warning C4996: 'ConstructObject': ConstructObject is deprecated. Use NewObject instead Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile. D:\UnrealEngine-4.9.2_NVIDIA_SF\Engine\Source\Editor\UnrealEd\Private\Factories\EditorFactories.cpp 7529 1 UE4
                    Warning 3 warning C4996: 'ConstructObject': ConstructObject is deprecated. Use NewObject instead Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile. D:\UnrealEngine-4.9.2_NVIDIA_SF\Engine\Source\Editor\UnrealEd\Private\Factories\EditorFactories.cpp 7549 1 UE4
                    Warning 4 warning C4996: 'ConstructObject': ConstructObject is deprecated. Use NewObject instead Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile. D:\UnrealEngine-4.9.2_NVIDIA_SF\Engine\Source\Editor\UnrealEd\Private\Factories\EditorFactories.cpp 7569 1 UE4
                    Warning 5 warning C4996: 'ConstructObject': ConstructObject is deprecated. Use NewObject instead Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile. D:\UnrealEngine-4.9.2_NVIDIA_SF\Engine\Source\Editor\UnrealEd\Private\Factories\EditorFactories.cpp 7589 1 UE4
                    Warning 6 warning C4996: 'ConstructObject': ConstructObject is deprecated. Use NewObject instead Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile. D:\UnrealEngine-4.9.2_NVIDIA_SF\Engine\Source\Editor\UnrealEd\Private\Factories\EditorFactories.cpp 7609 1 UE4
                    Warning 7 warning C4996: 'ConstructObject': ConstructObject is deprecated. Use NewObject instead Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile. D:\UnrealEngine-4.9.2_NVIDIA_SF\Engine\Source\Editor\UnrealEd\Private\Factories\EditorFactories.cpp 7629 1 UE4
                    Warning 8 warning C4996: 'NewNamedObject': NewNamedObject is deprecated. Use NewObject instead Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile. D:\UnrealEngine-4.9.2_NVIDIA_SF\Engine\Source\Runtime\Engine\Private\Particles\ParticleModules_Density.cpp 38 1 UE4
                    Warning 9 warning C4996: 'NewNamedObject': NewNamedObject is deprecated. Use NewObject instead Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile. D:\UnrealEngine-4.9.2_NVIDIA_SF\Engine\Source\Runtime\Engine\Private\Particles\ParticleModules_Density.cpp 43 1 UE4
                    Warning 10 warning C4996: 'NewNamedObject': NewNamedObject is deprecated. Use NewObject instead Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile. D:\UnrealEngine-4.9.2_NVIDIA_SF\Engine\Source\Runtime\Engine\Private\Particles\ParticleModules_Density.cpp 54 1 UE4
                    Warning 11 warning C4996: 'NewNamedObject': NewNamedObject is deprecated. Use NewObject instead Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile. D:\UnrealEngine-4.9.2_NVIDIA_SF\Engine\Source\Runtime\Engine\Private\Particles\ParticleModules_Density.cpp 56 1 UE4
                    Warning 12 warning C4996: 'StaticConstructObject': StaticConstructObject is deprecated, please use NewObject instead. For internal CoreUObject module usage, please use StaticConstructObject_Internal. Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile. D:\UnrealEngine-4.9.2_NVIDIA_SF\Engine\Source\Runtime\Engine\Private\Particles\ParticleModules_Density.cpp 139 1 UE4
                    Warning 13 warning C4996: 'StaticConstructObject': StaticConstructObject is deprecated, please use NewObject instead. For internal CoreUObject module usage, please use StaticConstructObject_Internal. Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile. D:\UnrealEngine-4.9.2_NVIDIA_SF\Engine\Source\Runtime\Engine\Private\Particles\ParticleModules_Density.cpp 162 1 UE4
                    Warning 14 warning C4996: 'NewNamedObject': NewNamedObject is deprecated. Use NewObject instead Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile. D:\UnrealEngine-4.9.2_NVIDIA_SF\Engine\Source\Runtime\Engine\Private\Particles\ParticleModules_Density.cpp 217 1 UE4
                    Warning 15 warning C4996: 'StaticConstructObject': StaticConstructObject is deprecated, please use NewObject instead. For internal CoreUObject module usage, please use StaticConstructObject_Internal. Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile. D:\UnrealEngine-4.9.2_NVIDIA_SF\Engine\Source\Runtime\Engine\Private\Particles\ParticleModules_Density.cpp 262 1 UE4
                    Error 16 error C1070: mismatched #if/#endif pair in file 'd:\unrealengine-4.9.2_nvidia_sf\engine\source\runtime\engine\private\slate\sceneviewport.cpp' D:\UnrealEngine-4.9.2_NVIDIA_SF\Engine\Source\Runtime\Engine\Private\Slate\SceneViewport.cpp 1693 1 UE4
                    Error 17 error : Failed to produce item: D:\UnrealEngine-4.9.2_NVIDIA_SF\Engine\Binaries\Win64\UE4Editor-Engine.dll D:\UnrealEngine-4.9.2_NVIDIA_SF\Engine\Intermediate\ProjectFiles\ERROR UE4
                    Error 18 error MSB3073: The command "..\..\Build\BatchFiles\Build.bat UE4Editor Win64 Development -waitmutex" exited with code -1. C:\Program Files (x86)\MSBuild\Microsoft.Cpp\v4.0\V120\Microsoft.MakeFile.Targets 38 5 UE4

                    Comment


                      [MENTION=31173]GalaxyMan2015[/MENTION]

                      for the waring! what should i do?

                      I hope you get me a help! thanks!

                      Comment


                        The warnings are fine, and will be fixed in the 4.11.2 release. You have one actual error in that output, but not relating to my branch as my branch does not modify SceneViewport.cpp. So either you have made a change, or something else has modified that file. In fact comparing the file size to the one on github, my one does not have 1693 lines. So its not the original file.
                        NVIDIA GameWorks merged branch (v4.9.2) (v4.12.5) (v4.13 p2)
                        Feel free to Donate if you wish to support me

                        Comment


                          I want to ask people at Nvidia a question: will Hybrid Frustum Traced Shadow be integrated into UE4 in the near future?
                          When I saw this:https://developer.nvidia.com/Hybrid-...Traced-Shadows I got hyped, I mean, really.
                          My project includes both large objects like wall pieces and small objects like front door porch light.
                          When I use cascade shadow, my porch light loses shadow because it is small.
                          When I use distance field shadow, the areas near the intersection of walls get shadow artifacts.
                          Hybrid Frustum Traced Shadow seems way better than both of them. I see small piece like antenna casts shadow and I don't see any weird shadow artifacts in the pic of that page.

                          Comment


                            thanks for you reply! and that error is scaleform tool!

                            Comment


                              Originally posted by GalaxyMan2015 View Post
                              The warnings are fine, and will be fixed in the 4.11.2 release. You have one actual error in that output, but not relating to my branch as my branch does not modify SceneViewport.cpp. So either you have made a change, or something else has modified that file. In fact comparing the file size to the one on github, my one does not have 1693 lines. So its not the original file.
                              thanks for you reply! and that error is scaleform tool!

                              Comment


                                [MENTION=87163]Galaxy[/MENTION]man No preasure or anything.... do you have an ETA for your integrated 4.11 branch? I am still willing to make some video tutorials

                                Comment

                                Working...
                                X